Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm stuck with a predicament upgrading from Ubuntu Server 9.10 to 10.4

This is a command line only environment. I'm Re-asking as the post as Placed on ( Upgrade ubuntu 9.10 to 10.04 ) has been deleted.

I'm trying to do a

"do-release-upgrade" from 9.10 to 10.4 Ubuntu server, from the command line.

I've been wrestling with this now for 2 days, I think I've found every possible page related to it and tried all the suggestions (Mostly to do with altering the sources.list that apt-get uses) and still I just can't make the upgrade continue.

All I get is the following:

    The upgrade is now aborted. Please check your Internet connection or
    installation media and try again. All files downloaded so far are
    kept.

    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/g/gmime2.2/libgmime-2.0-2a_2.2.22-5_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/l/lua50/liblua50_5.0.3-4_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/l/lua50/liblualib50_5.0.3-4_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/k/kdelibs/kdelibs4c2a_3.5.10.dfsg.1-3ubuntu2.10.04.1_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/p/policykit/libpolkit2_0.9-4ubuntu2_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/l/lm-sensors/libsensors3_2.10.8-2_i386.deb
    404 Not Found
    Failed to fetch
    http://gb.archive.ubuntu.com/ubuntu/pool/universe/s/seamonkey/seamonkey-        browser_2.0.11+build1+nobinonly-0ubuntu0.10.04.1_i386.deb
    404 Not Found



    Restoring original system state

    Aborting
    Reading package lists: Donem karmic/partner Packages: 97  ackages: 97  tricted Packages: 04
    Reading state information: Done
    Reading state information: Done

The annoying part is that I DON'T have ANY of the listed packages either installed or listed as dependencies. The machine I'm upgrading is a simple Web/Mail & DNS server. No Desktop, no browsers, no monitoring or anything.

and EVERY other package that it does want or need to upgrade it finds without a problem, concomitantly however it's got it into it's system that it needs the above packages when it doesn't and it refuses to allow me to successfully upgrade because of it.

Any ideas?

share|improve this question

2 Answers 2

Check four things

  1. Networking is intact at all times and that you are not behind any 'funny' proxies.
  2. /etc/sources.list and update them, change the mirror. Also remove any unnoficial repos
  3. do-release-upgrade --mode=server
  4. Upgrade problems
share|improve this answer
    
1. Networking is on 100% , I have complete control over the connection, so no proxies, and the routers firewall has a very relaxed policy. 2. /etc/sources has been through my editor more times in the last 2 days than I've had hot dinners. I've tried official, unoffical, 3rd party, ... updates, copies from install CD's and no matter what changes I make, the above packages are still looked for. 3. Didn't know about the '--mode=server' switch –  shawty Sep 21 '11 at 14:04
up vote 0 down vote accepted

Ok. I MAY have solved this. For those who are interested, here's how I got round it.

Firstly , after a bit of searching, I found ALL the packages (Identical versions and MD5's) here : http://es.archive.trisquel.info/trisquel/pool/main/

At first I tried to point sources.list at this repo, but got the "Where disabling 3rd Party sources" message when running.

so....

I made a list of everything that the upgrader wanted, and downloaded them to a different server. (All of the upgrades other files had already been downloaded) I disconnected the machine in question from the internet, but left it connected to the lan.

I then setup an entry in my DNS server to be equal to :

gb.archive.ubuntu.com

but pointing at one of my local boxes.

I created the correct folder structure under apache as shown in the 404's above, then copied the downloaded packages to that location.

Finally I re-ran "do-release-upgrade" and it found and downloaded what it thought where live packages :-)

I've now left it running and so far no more error's, the upgrade hasn't finished yet however, so there may be more posts on here documenting other aspects of the upgrade.

share|improve this answer
    
After a tourtorus few hours, I've finally completed the upgrade. The steps above where what I needed to get past the hurdle, I had to find and do the same with a few other packages, but finally got there. –  shawty Sep 21 '11 at 18:13

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.